diff --git a/changelog b/changelog
index 6ac2d76..a888ba0 100644
--- a/changelog
+++ b/changelog
@@ -1,3 +1,5 @@
+20140630 tpd src/axiom-website/patches.html 20140630.01.tpd.patch
+20140630 tpd src/input/wangeez.input Paul Wang's EEZ test polynmials
 20140629 tpd src/axiom-website/patches.html 20140629.06.tpd.patch
 20140629 tpd books/tangle.c improve the debugging output (DEBUG==3)
 20140629 tpd src/axiom-website/patches.html 20140629.05.tpd.patch
diff --git a/patch b/patch
index 40f2fed..64b8a48 100644
--- a/patch
+++ b/patch
@@ -1,6 +1,5 @@
-books/tangle.c improve the debugging output (DEBUG==3)
-
-Improve the debugging output (DEBUG==3) so that it is obvious
-what chunk is being expanded. It also shows the expanded output
-delimited by begin/end markers.
+src/input/wangeez.input Paul Wang's EEZ test polynmials
 
+These are the test polynomials for the EEZ polynomial factorization
+algorithm proposed by Paul Wang in his paper ``An Improved Multivariate
+Polynomial Factoring Algorithm'' \cite{Wang78}
diff --git a/src/axiom-website/patches.html b/src/axiom-website/patches.html
index d1a1461..cc0e387 100644
--- a/src/axiom-website/patches.html
+++ b/src/axiom-website/patches.html
@@ -4514,6 +4514,8 @@ Makefile default to notests for users
 books/bookvol10.3 add information to SingleInteger
 <a href="patches/20140629.06.tpd.patch">20140629.06.tpd.patch</a>
 books/tangle.c improve the debugging output (DEBUG==3)
+<a href="patches/20140630.01.tpd.patch">20140630.01.tpd.patch</a>
+src/input/wangeez.input Paul Wang's EEZ test polynmials
  </body>
 </html>
 
diff --git a/src/input/Makefile.pamphlet b/src/input/Makefile.pamphlet
index 3229552..a879c5f 100644
--- a/src/input/Makefile.pamphlet
+++ b/src/input/Makefile.pamphlet
@@ -414,7 +414,8 @@ REGRESSTESTS= ackermann.regress \
     triglim.regress   tsetcatvermeer.regress            tutchap1.regress \
     typetower.regress void.regress      uniseg.regress \
     unittest1.regress unittest2.regress unittest3.regress unittest4.regress \
-    unit-macro.regress zimmbron.regress zimmer.regress
+    unit-macro.regress wangeez.regress \
+    zimmbron.regress zimmer.regress
 
 \end{chunk}
 \begin{chunk}{regression tests}
@@ -936,7 +937,8 @@ FILES= ${OUT}/ackermann.input \
        ${OUT}/vector.input   ${OUT}/vectors.input    ${OUT}/viewdef.input \
        ${OUT}/void.input     ${OUT}/wiggle.input   \
        ${OUT}/wutset.input \
-       ${OUT}/xpoly.input    ${OUT}/xpr.input        ${OUT}/zimmbron.input \
+       ${OUT}/xpoly.input    ${OUT}/xpr.input        ${OUT}/wangeez.input \
+       ${OUT}/zimmbron.input \
        ${OUT}/zdsolve.input  ${OUT}/zimmer.input     ${OUT}/zlindep.input
 
 FILES2=${OUT}/arith.input    ${OUT}/bugs.input \
@@ -1461,7 +1463,7 @@ DOCFILES= \
   ${DOC}/wester.input.dvi      ${DOC}/wiggle.input.dvi     \
   ${DOC}/wutset.input.dvi      \
   ${DOC}/xpoly.input.dvi       ${DOC}/xpr.input.dvi        \
-  ${DOC}/zimmbron.input.dvi  \
+  ${DOC}/wangeez.input.dvi     ${DOC}/zimmbron.input.dvi  \
   ${DOC}/zdsolve.input.dvi     ${DOC}/zimmer.input.dvi     \
   ${DOC}/zlindep.input.dvi  
 
diff --git a/src/input/wangeez.input.pamphlet b/src/input/wangeez.input.pamphlet
new file mode 100644
index 0000000..3f37c43
--- /dev/null
+++ b/src/input/wangeez.input.pamphlet
@@ -0,0 +1,1171 @@
+\documentclass{article}
+\usepackage{axiom}
+\setlength{\textwidth}{400pt}
+\begin{document}
+\title{\$SPAD/src/input wangeez.input}
+\author{Paul Wang and Timothy Daly}
+\maketitle
+\begin{abstract}
+These are the test polynomials for the EEZ polynomial factorization
+algorithm proposed by Paul Wang in his paper ``An Improved Multivariate
+Polynomial Factoring Algorithm'' \cite{Wang78}
+\end{abstract}
+\eject
+\tableofcontents
+\eject
+\begin{chunk}{*}
+)set break resume
+)sys rm -f wangeez.output
+)spool wangeez.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 45
+t1:=(z + xy + 10)*(xz + y + 30)*(yz + x + 20)
+--R 
+--R
+--R   (1)
+--R     ((y + xz + 30)yz + (x + 20)y + (x + 20)xz + 30x + 600)z
+--R   + 
+--R     ((xy + 10)y + (xy + 10)xz + 30xy + 300)yz + ((x + 20)xy + 10x + 200)y
+--R   + 
+--R     ((x + 20)xy + 10x + 200)xz + (30x + 600)xy + 300x + 6000
+--R                                                    Type: Polynomial(Integer)
+--E 1
+
+--S 2 of 45
+t1f:=factor t1
+--R 
+--R
+--R   (2)  (y + xz + 30)(yz + x + 20)(z + xy + 10)
+--R                                          Type: Factored(Polynomial(Integer))
+--E 2
+
+--S 3 of 45
+t1-t1f
+--R 
+--R
+--R   (3)  0
+--R                                          Type: Factored(Polynomial(Integer))
+--E 3
+
+--S 4 of 45
+t2:=(x^3*(z + y) + z - 11)*(x^2*(z^2 + y^2) + y + 90)
+--R 
+--R
+--R   (4)
+--R       5    2  3     5       2  2      5    2  2     3            3
+--R     (x  + x )z  + (x y - 11x )z  + ((x  + x )y  + (x  + 1)y + 90x  + 90)z
+--R   + 
+--R      5 3     3      2  2       3
+--R     x y  + (x  - 11x )y  + (90x  - 11)y - 990
+--R                                                    Type: Polynomial(Integer)
+--E 4
+
+--S 5 of 45
+t2f:=factor t2
+--R 
+--R
+--R           3          3         2 2    2 2
+--R   (5)  ((x  + 1)z + x y - 11)(x z  + x y  + y + 90)
+--R                                          Type: Factored(Polynomial(Integer))
+--E 5
+
+--S 6 of 45
+t2-t2f
+--R 
+--R
+--R   (6)  0
+--R                                          Type: Factored(Polynomial(Integer))
+--E 6
+
+--S 7 of 45
+t3:=(y*z^3 + xyz + y^2 + x^3)*(x*(z^4 + 1) + z + x^3*y^2)
+--R 
+--R
+--R   (7)
+--R          7       2                4  4     3 3        3     2          3
+--R     x y z  + (x y  + y + x xyz + x )z  + (x y  + x y)z  + (y  + xyz + x )z
+--R   + 
+--R      3 4     3       6      2            4
+--R     x y  + (x xyz + x  + x)y  + x xyz + x
+--R                                                    Type: Polynomial(Integer)
+--E 7
+
+--S 8 of 45
+t3f:=factor t3
+--R 
+--R
+--R            3    2          3     4        3 2
+--R   (8)  (y z  + y  + xyz + x )(x z  + z + x y  + x)
+--R                                          Type: Factored(Polynomial(Integer))
+--E 8
+
+--S 9 of 45
+t3-t3f
+--R 
+--R
+--R   (9)  0
+--R                                          Type: Factored(Polynomial(Integer))
+--E 9
+
+--S 10 of 45
+t4:=(z^2 - x^3*y + 3)*(z^2 + x*y^3)*(z^2 + x^3*y^4)*(y^4*z^2 + x^2*z + 5)
+--R 
+--R
+--R   (10)
+--R      4 8    2 7     3 8      7    3 5     4      6
+--R     y z  + x z  + (x y  + x y  - x y  + 3y  + 5)z
+--R   + 
+--R       5 4    3 3    5      2  5
+--R     (x y  + x y  - x y + 3x )z
+--R   + 
+--R       4 11    6 9       4     3  8       7     3 4       3     3        4
+--R     (x y   - x y  + (- x  + 3x )y  + 3x y  + 5x y  + 5x y  - 5x y + 15)z
+--R   + 
+--R       6 7    8 5       6     5  4     3 3  3
+--R     (x y  - x y  + (- x  + 3x )y  + 3x y )z
+--R   + 
+--R         7 12     4 11     4 7     6 5        4      3  4        3  2
+--R     (- x y   + 3x y   + 5x y  - 5x y  + (- 5x  + 15x )y  + 15x y )z
+--R   + 
+--R         9 8     6 7       7 8      4 7
+--R     (- x y  + 3x y )z - 5x y  + 15x y
+--R                                                    Type: Polynomial(Integer)
+--E 10
+
+--S 11 of 45
+t4f:=factor t4
+--R 
+--R
+--R           2    3        2      3   2    3 4   4 2    2
+--R   (11)  (z  - x y + 3)(z  + x y )(z  + x y )(y z  + x z + 5)
+--R                                          Type: Factored(Polynomial(Integer))
+--E 11
+
+--S 12 of 45
+t4-t4f
+--R 
+--R
+--R   (12)  0
+--R                                          Type: Factored(Polynomial(Integer))
+--E 12
+
+--S 13 of 45
+t5:=(z^2 + x^3*y^4 + u^2)*((y^2 + x)*z^2 + 3*u^2*x^3*y^4*z + 19*y^2)*_
+    (u^2*y^4*z^2 + x^2*z + 5)*(w^4*z^3 - x*y^2*z^2 - w^4*x^5*y^6 - w^2*x^3*y)*_
+    (-x^5*z^3 + y*z + x^2*y^3)
+--R 
+--R
+--R   (13)
+--R         2 4 5 6    2 4 6 4  12
+--R     (- u w x y  - u w x y )z
+--R   + 
+--R           4 4 8    2 6  8    2 7 6    4 7 2    4 8  11
+--R     ((- 3u w x  + u x )y  + u x y  - w x y  - w x )z
+--R   + 
+--R            4 9    2 4 8  10    2 4 9 8    2 4 7       4      2  4 5 6
+--R         (3u x  - u w x )y   - u w x y  + u w y  + (- u  - 19u )w x y
+--R       + 
+--R          2 4   5        2 4 10    8    4 4 6  4     9     4 5  2     4 6
+--R         u w x y  + (- 3u w x   + x  - u w x )y  + (x  - 5w x )y  - 5w x
+--R    *
+--R        10
+--R       z
+--R   + 
+--R              4 4 11    2 4 10    2 9  12     2 4 11    2 10  10
+--R         (- 3u w x   + u w x   + u x )y   + (u w x   + u x  )y
+--R       + 
+--R            4 4 3    2 4 2    2   9        6 4 8     4      2  6  8
+--R         (3u w x  + u w x  - u x)y  + (- 3u w x  + (u  + 19u )x )y
+--R       + 
+--R           2 2 8    2 4 3    2 2  7      2 11    4 10    4 7  6    2 2 9 5
+--R         (u w x  + u w x  - u x )y  + (3u x   - w x   + u x )y  + u w x y
+--R       + 
+--R             4 11      2 4 8     6  4    4 2 3        2       4      7 2    4 3
+--R         (- w x   - 15u w x  + 5x )y  + w x y  + ((- u  - 19)w  + 5)x y  + w x y
+--R       + 
+--R            2 4 8
+--R         - u w x
+--R    *
+--R        9
+--R       z
+--R   + 
+--R            4 4 13     4 12  14      4 4 5     4 4     2 4    2  3  11
+--R         (3u w x   + 3u x  )y   + (3u w x  - 3u x  + (u w  - u )x )y
+--R       + 
+--R            6 9      2 4 8  10      4 2 11     2 4    2  4  9
+--R         (3u x  - 19u w x )y   + (3u w x   + (u w  - u )x )y
+--R       + 
+--R              2 4 13    4 12    11  8     4      2  4 7
+--R         (- 3u w x   + w x   + x  )y  + (u  + 19u )w y
+--R       + 
+--R           4 13    12      2 9     4 8      4 4 5  6
+--R         (w x   + x   + 15u x  - 5w x  - 19u w x )y
+--R       + 
+--R            2 4 5    4 4    3    4 4   5        4 4 10     4 9     2       8  4
+--R         (3u w x  + w x  - x  + u w x)y  + (- 3u w x   - 5w x  + (u  + 19)x )y
+--R       + 
+--R           2 10    4 5    4     4  3     2 9        2       4 5  2
+--R         (w x   + w x  - x  + 5w )y  + (u x  + (- 5u  - 95)w x )y
+--R       + 
+--R           2 11     4        2 4 6
+--R         (w x   + 5w x)y - 5u w x
+--R    *
+--R        8
+--R       z
+--R   + 
+--R          2 4 13 16    2 4 14 14       4 4     4  6    2 4  13
+--R         u w x  y   + u w x  y   + ((3u w  - 3u )x  - u x )y
+--R       + 
+--R            4      2  4 10      2 9  12     2 2 11    2 5  11
+--R         ((u  + 19u )w x   + 19u x )y   + (u w x   - u x )y
+--R       + 
+--R            2 4 15     2 14    4 4 11  10
+--R         (3u w x   + 3u x   + u w x  )y
+--R       + 
+--R           2 2 12     6 4 3     4      2  4 2       4      2    9
+--R         (u w x   + 3u w x  + (u  + 19u )w x  + (- u  - 19u )x)y
+--R       + 
+--R               2 4 11     4 10     9      4 6    2 2 3  8
+--R         (- 15u w x   + 5w x   + 5x  + 19u x  - u w x )y
+--R       + 
+--R            4      2  2 8     2 4 7     2 6     4      5    4 4 3    4 2  7
+--R         ((u  + 19u )w x  + 3u w x  - 3u x  + (w  - 1)x  + u w x  - u x )y
+--R       + 
+--R             4     4  11         4      10    2 2 4  6
+--R         ((5w  + 3u )x   + (- 19w  + 5)x   - u w x )y
+--R       + 
+--R            2 2 13    4 2 9     4      6      2 4 3     4 2       5
+--R         (3u w x   + u w x  + (w  - 1)x  + 15u w x  + 5w x  - 5x)y
+--R       + 
+--R               4 4 8      2       6  4      2 8     4 3      2       4      2  3
+--R         (- 15u w x  + (5u  + 95)x )y  + (5w x  + 5w x  + ((u  + 19)w  - 5)x )y
+--R       + 
+--R               2 4     2  7 2      2 9    2 4 3
+--R         (- 19u w  + 5u )x y  + (5w x  + u w x )y
+--R    *
+--R        7
+--R       z
+--R   + 
+--R           4 4 16 18        2 4     4  7    2 6  15     6 4 13 14
+--R         3u w x  y   + ((- u w  - 3u )x  - u x )y   + 3u w x  y
+--R       + 
+--R            4 2 14    2 4 8    2 7  13    4 15 12
+--R         (3u w x   - u w x  - u x )y   + w x  y
+--R       + 
+--R            6 4 5     6 4       2 4    4      2  3  11
+--R         (3u w x  - 3u x  + (19u w  - u  - 19u )x )y
+--R       + 
+--R           4 16      2 4 13      2 12     4 2 6    2 2 5  10
+--R         (w x   + 15u w x   + 15u x   - 3u w x  - u w x )y
+--R       + 
+--R            6 2 11      2 4     2  8    6    4 4  9
+--R         (3u w x   + (3u w  - 3u )x  - x  - u x )y
+--R       + 
+--R            2       4 12      11    2 2 6  8
+--R         ((u  + 19)w x   + 19x   - u w x )y
+--R       + 
+--R           2 13    7      2 4 5      2 4      4      3      4 4  7
+--R         (w x   - x  + 15u w x  - 15u x  + (5w  - 5)x  + 19u w )y
+--R       + 
+--R           2 4 13      4 9      4 8  6
+--R         (u w x   + 15u x  - 95w x )y
+--R       + 
+--R           2 14      2 2 11     4 4 5      2       4      4       2       3  5
+--R         (w x   + 15u w x   + 3u w x  + ((u  + 24)w  - 5)x  + (- u  - 19)x )y
+--R       + 
+--R             2 8    2 5  4      2       2 10    2 4 5    2 4      2       4  3
+--R         (19u x  - w x )y  + ((u  + 19)w x   + u w x  - u x  + (5u  + 95)w )y
+--R       + 
+--R             2 6      2 4 5  2     2 2 11     2 4
+--R         (- w x  - 95u w x )y  + (u w x   + 5u w x)y
+--R    *
+--R        6
+--R       z
+--R   + 
+--R              4 4 10     4 9    2 4 8  17      2 4 13 16    2 4 9 15
+--R         (- 3u w x   - 3u x  - u w x )y   + 19u w x  y   - u w x y
+--R       + 
+--R           2 4 18 14        6 6    4 4 5      2 4  13
+--R         3u w x  y   + (- 3u x  - u w x  - 19u x )y
+--R       + 
+--R            4 13      4 4 10     4 2 8    2 2 6  12
+--R         (5w x   + 19u w x   - 3u w x  - u w x )y
+--R       + 
+--R             2 2 11       4     2  9    8    4 4 6  11
+--R         (19u w x   + (- w  - 3u )x  - x  - u w x )y
+--R       + 
+--R            4 4 15     4 14    2 2 7  10
+--R         (3u w x   + 5w x   - u w x )y
+--R       + 
+--R            2 2 16    4 10    9       2 4      2  6     4      4 4 2      4   9
+--R         (3u w x   - w x   - x  + (15u w  - 15u )x  - 5x  + 19u w x  - 19u x)y
+--R       + 
+--R             2       4 10      9       4      2  2 3  8
+--R         ((5u  + 95)w x   + 95x  + (- u  - 19u )w x )y
+--R       + 
+--R            2 11      4 2 8     4 4 7     4 6       4    2       5  7
+--R         (5w x   + 19u w x  + 3u w x  - 3u x  + (19w  - u  - 24)x )y
+--R       + 
+--R            2 4 11     2 2 8    2 7    4 2 4  6
+--R         (5u w x   - 3u w x  - w x  - u w x )y
+--R       + 
+--R                 4 2 13     2 12    2 6      4 4 3      2       4 2
+--R               3u w x   + 5w x   - u x  + 15u w x  + (5u  + 95)w x
+--R             + 
+--R                    2
+--R               (- 5u  - 95)x
+--R        *
+--R            5
+--R           y
+--R       + 
+--R             2 8      2 6     2 3  4
+--R         (- w x  + 95u x  - 5w x )y
+--R       + 
+--R             2       2 8     2 4 3       2 4     2  2  3     2 4 2     2 2 9
+--R         ((5u  + 95)w x  + 5u w x  + (19u w  - 5u )x )y  - 5w x y  + 5u w x y
+--R    *
+--R        5
+--R       z
+--R   + 
+--R              4 4 11    2 4 10  19    2 4 11 17
+--R         (- 3u w x   - u w x  )y   - u w x  y
+--R       + 
+--R              6 4 8       4      2  4 7      2 6  15
+--R         (- 3u w x  + (- u  - 19u )w x  - 19u x )y
+--R       + 
+--R             2 4 16     4 2 9    2 2 8  14
+--R         (15u w x   - 3u w x  - u w x )y
+--R       + 
+--R              2 4 12     2 11    4 10    4 4 8  13       4 15    2 2 9  12
+--R         (- 3u w x   - 3u x   - w x   - u w x )y   + (19w x   - u w x )y
+--R       + 
+--R             4 11        4      2  7     6      4 3  11
+--R         (- w x   + (- 5w  - 15u )x  - 5x  - 19u x )y
+--R       + 
+--R             4 4 13     6 2 6       4      2  2 5  10
+--R         (15u w x   - 3u w x  + (- u  - 19u )w x )y
+--R       + 
+--R             2 2 14        4     4  8       2 4      7      6  9
+--R         (15u w x   + (- 5w  - 3u )x  + (- u w  - 5)x  - 19x )y
+--R       + 
+--R             2 4 12     2 2 10    2 8    4 2 6  8
+--R         (19u w x   - 3u w x   - w x  - u w x )y
+--R       + 
+--R             2 13    2 4 8      4 4 5      4 4       4     2       3  7
+--R         (19w x   - u w x  + 15u w x  - 15u x  + (95w  - 5u  - 95)x )y
+--R       + 
+--R             2 9      2 2 6     2 5  6
+--R         (- w x  - 15u w x  - 5w x )y
+--R       + 
+--R             4 2 11       2 4     2  4      2 3  5
+--R         (15u w x   + (19u w  - 5u )x  - 19u x )y
+--R       + 
+--R              2 6       2       2 5  4       2 2 10      2 4  3    2 2 6 2
+--R         (- 5w x  + (- u  - 19)w x )y  + (19u w x   + 95u w )y  - u w x y
+--R    *
+--R        4
+--R       z
+--R   + 
+--R             4 4 13 21        6 4 10      2 4 8  17     4 2 11 16
+--R         - 3u w x  y   + (- 3u w x   - 19u w x )y   - 3u w x  y
+--R       + 
+--R              2 4 13    4 12  15
+--R         (- 3u w x   - w x  )y
+--R       + 
+--R             4 13      2 4 10      2 9     4 8      4 4 5  13
+--R         (- w x   - 15u w x   - 15u x  - 5w x  - 19u w x )y
+--R       + 
+--R             4 13     6 2 8      2 2 6  12
+--R         (95w x   - 3u w x  - 19u w x )y
+--R       + 
+--R              4 4 10       2       4 9      8  11        2 2 11    2 10  10
+--R         (- 3u w x   + (- u  - 24)w x  - 19x )y   + (- 3u w x   - w x  )y
+--R       + 
+--R             2 4 10      4 6     2 4 5      4  9
+--R         (- u w x   - 15u x  - 5u w x  - 95x )y
+--R       + 
+--R             2 11      2 4 10      2 2 8     2 6      4 2 3  8
+--R         (- w x   + 95u w x   - 15u w x  - 5w x  - 19u w x )y
+--R       + 
+--R             2 11     2 4 6      2 5  7        4 2 8       2       2 7  6
+--R         (95w x   - 5u w x  - 19u x )y  + (- 3u w x  + (- u  - 24)w x )y
+--R       + 
+--R             2 4 2      2   5       2 2 8        2       2 3  4      2 2 8 3
+--R         (95u w x  - 95u x)y  + (- u w x  + (- 5u  - 95)w x )y  + 95u w x y
+--R       + 
+--R             2 2 4 2
+--R         - 5u w x y
+--R    *
+--R        3
+--R       z
+--R   + 
+--R              2 4 10 19     2 4 15 17         2 4 11     4 10      4 4 7  15
+--R         - 19u w x  y   - 3u w x  y   + (- 15u w x   - 5w x   - 19u w x )y
+--R       + 
+--R              2 2 8 14        4 4 12     4 11      4 10  13     2 2 13 12
+--R         - 19u w x y   + (- 3u w x   - 5w x   - 19w x  )y   - 3u w x  y
+--R       + 
+--R               4 4 8        2       4 7      6  11
+--R         (- 15u w x  + (- 5u  - 95)w x  - 95x )y
+--R       + 
+--R               2 2 9     2 8      4 2 5  10        2 4 8      2 4 7  9
+--R         (- 15u w x  - 5w x  - 19u w x )y   + (- 5u w x  - 19u w x )y
+--R       + 
+--R              4 2 10     2 9      2 8  8      2 3 7
+--R         (- 3u w x   - 5w x  - 19w x )y  - 95u x y
+--R       + 
+--R               4 2 6        2       2 5  6        2 2 6      2 2 5  4
+--R         (- 15u w x  + (- 5u  - 95)w x )y  + (- 5u w x  - 19u w x )y
+--R    *
+--R        2
+--R       z
+--R   + 
+--R              2 4 13 17      4 12 15         4 4 10      4 8  13      2 2 11 12
+--R         - 15u w x  y   - 19w x  y   + (- 15u w x   - 95w x )y   - 15u w x  y
+--R       + 
+--R              2 4 9 11      2 10 10      2 4 5 9         4 2 8      2 6  8
+--R         - 19u w x y   - 19w x  y   - 95u w x y  + (- 15u w x  - 95w x )y
+--R       + 
+--R              2 2 7 6      2 2 3 4
+--R         - 19u w x y  - 95u w x y
+--R    *
+--R       z
+--R   + 
+--R          4 10 15      2 4 7 11      2 8 10      2 2 5 6
+--R     - 95w x  y   - 95u w x y   - 95w x y   - 95u w x y
+--R                                                    Type: Polynomial(Integer)
+--E 13
+
+--S 14 of 45
+t5f:=factor t5
+--R 
+--R
+--R   (14)
+--R   -
+--R          2    3 4    2    2      2     2 3 4       2   2 4 2    2
+--R        (z  + x y  + u )((y  + x)z  + 3u x y z + 19y )(u y z  + x z + 5)
+--R     *
+--R          4 3      2 2    4 5 6    2 3    5 3          2 3
+--R        (w z  - x y z  - w x y  - w x y)(x z  - y z - x y )
+--R                                          Type: Factored(Polynomial(Integer))
+--E 14
+
+--S 15 of 45
+t5-t5f
+--R 
+--R
+--R   (15)  0
+--R                                          Type: Factored(Polynomial(Integer))
+--E 15
+
+--S 16 of 45
+t6:=(w^4*z^6 + y^2*z^3 - w^2*x^2*y^2*z^2 + x^5*z - x^4*y^2 - w^3*x^3*y)
+--R 
+--R
+--R          4 6    2 3    2 2 2 2    5     4 2    3 3
+--R   (16)  w z  + y z  - w x y z  + x z - x y  - w x y
+--R                                                    Type: Polynomial(Integer)
+--E 16
+
+--S 17 of 45
+t6f:=factor t6
+--R 
+--R
+--R          4 6    2 3    2 2 2 2    5     4 2    3 3
+--R   (17)  w z  + y z  - w x y z  + x z - x y  - w x y
+--R                                          Type: Factored(Polynomial(Integer))
+--E 17
+
+--S 18 of 45
+t6-t6f
+--R 
+--R
+--R   (18)  0
+--R                                          Type: Factored(Polynomial(Integer))
+--E 18
+
+--S 19 of 45
+t7:=(z + y + x - 3)^3 *(z + y + x - 2)^2 *_
+    (-15*y^2*z^16 + 29*w^4*x^12*y^12*z^3 + 21*x^3*z^2 + 3*w^15*y^20)
+--R 
+--R
+--R   (19)
+--R          2 21         3                 2  20
+--R     - 15y z   + (- 75y  + (- 75x + 195)y )z
+--R   + 
+--R            4                  3          2                2  19
+--R     (- 150y  + (- 300x + 780)y  + (- 150x  + 780x - 1005)y )z
+--R   + 
+--R               5                   4          2                 3
+--R         - 150y  + (- 450x + 1170)y  + (- 450x  + 2340x - 3015)y
+--R       + 
+--R                3        2                 2
+--R         (- 150x  + 1170x  - 3015x + 2565)y
+--R    *
+--R        18
+--R       z
+--R   + 
+--R              6                  5          2                 4
+--R         - 75y  + (- 300x + 780)y  + (- 450x  + 2340x - 3015)y
+--R       + 
+--R                3        2                 3
+--R         (- 300x  + 2340x  - 6030x + 5130)y
+--R       + 
+--R               4       3        2                 2
+--R         (- 75x  + 780x  - 3015x  + 5130x - 3240)y
+--R    *
+--R        17
+--R       z
+--R   + 
+--R              7                 6          2                5
+--R         - 15y  + (- 75x + 195)y  + (- 150x  + 780x - 1005)y
+--R       + 
+--R                3        2                 4
+--R         (- 150x  + 1170x  - 3015x + 2565)y
+--R       + 
+--R               4       3        2                 3
+--R         (- 75x  + 780x  - 3015x  + 5130x - 3240)y
+--R       + 
+--R               5       4        3        2                 2
+--R         (- 15x  + 195x  - 1005x  + 2565x  - 3240x + 1620)y
+--R    *
+--R        16
+--R       z
+--R   + 
+--R        4 12 12 8        4 12 13        4 13       4 12  12      3  7
+--R     29w x  y  z  + (145w x  y   + (145w x   - 377w x  )y   + 21x )z
+--R   + 
+--R             4 12 14        4 13        4 12  13
+--R         290w x  y   + (580w x   - 1508w x  )y
+--R       + 
+--R              4 14        4 13        4 12  12       3        4       3
+--R         (290w x   - 1508w x   + 1943w x  )y   + 105x y + 105x  - 273x
+--R    *
+--R        6
+--R       z
+--R   + 
+--R           15 20       4 12 15        4 13        4 12  14
+--R         3w  y   + 290w x  y   + (870w x   - 2262w x  )y
+--R       + 
+--R              4 14        4 13        4 12  13
+--R         (870w x   - 4524w x   + 5829w x  )y
+--R       + 
+--R              4 15        4 14        4 13        4 12  12       3 2
+--R         (290w x   - 2262w x   + 5829w x   - 4959w x  )y   + 210x y
+--R       + 
+--R              4        3         5        4        3
+--R         (420x  - 1092x )y + 210x  - 1092x  + 1407x
+--R    *
+--R        5
+--R       z
+--R   + 
+--R            15 21       15       15  20       4 12 16
+--R         15w  y   + (15w  x - 39w  )y   + 145w x  y
+--R       + 
+--R              4 13        4 12  15        4 14        4 13        4 12  14
+--R         (580w x   - 1508w x  )y   + (870w x   - 4524w x   + 5829w x  )y
+--R       + 
+--R              4 15        4 14         4 13        4 12  13
+--R         (580w x   - 4524w x   + 11658w x   - 9918w x  )y
+--R       + 
+--R              4 16        4 15        4 14        4 13        4 12  12       3 3
+--R         (145w x   - 1508w x   + 5829w x   - 9918w x   + 6264w x  )y   + 210x y
+--R       + 
+--R              4        3  2        5        4        3         6        5
+--R         (630x  - 1638x )y  + (630x  - 3276x  + 4221x )y + 210x  - 1638x
+--R       + 
+--R              4        3
+--R         4221x  - 3591x
+--R    *
+--R        4
+--R       z
+--R   + 
+--R            15 22       15        15  21       15 2       15        15  20
+--R         30w  y   + (60w  x - 156w  )y   + (30w  x  - 156w  x + 201w  )y
+--R       + 
+--R            4 12 17        4 13       4 12  16
+--R         29w x  y   + (145w x   - 377w x  )y
+--R       + 
+--R              4 14        4 13        4 12  15
+--R         (290w x   - 1508w x   + 1943w x  )y
+--R       + 
+--R              4 15        4 14        4 13        4 12  14
+--R         (290w x   - 2262w x   + 5829w x   - 4959w x  )y
+--R       + 
+--R              4 16        4 15        4 14        4 13        4 12  13
+--R         (145w x   - 1508w x   + 5829w x   - 9918w x   + 6264w x  )y
+--R       + 
+--R             4 17       4 16        4 15        4 14        4 13        4 12  12
+--R         (29w x   - 377w x   + 1943w x   - 4959w x   + 6264w x   - 3132w x  )y
+--R       + 
+--R             3 4        4        3  3        5        4        3  2
+--R         105x y  + (420x  - 1092x )y  + (630x  - 3276x  + 4221x )y
+--R       + 
+--R              6        5        4        3         7        6        5        4
+--R         (420x  - 3276x  + 8442x  - 7182x )y + 105x  - 1092x  + 4221x  - 7182x
+--R       + 
+--R              3
+--R         4536x
+--R    *
+--R        3
+--R       z
+--R   + 
+--R            15 23       15        15  22       15 2       15        15  21
+--R         30w  y   + (90w  x - 234w  )y   + (90w  x  - 468w  x + 603w  )y
+--R       + 
+--R             15 3       15 2       15        15  20      3 5        4       3  4
+--R         (30w  x  - 234w  x  + 603w  x - 513w  )y   + 21x y  + (105x  - 273x )y
+--R       + 
+--R              5        4        3  3        6        5        4        3  2
+--R         (210x  - 1092x  + 1407x )y  + (210x  - 1638x  + 4221x  - 3591x )y
+--R       + 
+--R              7        6        5        4        3        8       7        6
+--R         (105x  - 1092x  + 4221x  - 7182x  + 4536x )y + 21x  - 273x  + 1407x
+--R       + 
+--R                5        4        3
+--R         - 3591x  + 4536x  - 2268x
+--R    *
+--R        2
+--R       z
+--R   + 
+--R            15 24       15        15  23       15 2       15        15  22
+--R         15w  y   + (60w  x - 156w  )y   + (90w  x  - 468w  x + 603w  )y
+--R       + 
+--R             15 3       15 2        15         15  21
+--R         (60w  x  - 468w  x  + 1206w  x - 1026w  )y
+--R       + 
+--R             15 4       15 3       15 2        15        15  20
+--R         (15w  x  - 156w  x  + 603w  x  - 1026w  x + 648w  )y
+--R    *
+--R       z
+--R   + 
+--R       15 25       15       15  24       15 2       15        15  23
+--R     3w  y   + (15w  x - 39w  )y   + (30w  x  - 156w  x + 201w  )y
+--R   + 
+--R         15 3       15 2       15        15  22
+--R     (30w  x  - 234w  x  + 603w  x - 513w  )y
+--R   + 
+--R         15 4       15 3       15 2        15        15  21
+--R     (15w  x  - 156w  x  + 603w  x  - 1026w  x + 648w  )y
+--R   + 
+--R        15 5      15 4       15 3       15 2       15        15  20
+--R     (3w  x  - 39w  x  + 201w  x  - 513w  x  + 648w  x - 324w  )y
+--R                                                    Type: Polynomial(Integer)
+--E 19
+
+--S 20 of 45
+t7f:=factor t7
+--R 
+--R
+--R   (20)
+--R                    3               2    2 16      4 12 12 3      3 2     15 20
+--R   - (z + y + x - 3) (z + y + x - 2) (15y z   - 29w x  y  z  - 21x z  - 3w  y  )
+--R                                          Type: Factored(Polynomial(Integer))
+--E 20
+
+--S 21 of 45
+t7-t7f
+--R 
+--R
+--R   (21)  0
+--R                                          Type: Factored(Polynomial(Integer))
+--E 21
+
+--S 22 of 45
+t8:=(-z^31 - w^12*z^20 + y^18 - y^14 + x^2*y^2 + x^21 + w^2)*_
+    u^4*x*z^2*(6*w^2*y^3*z^2 + 18*u^2*w^3*x*z^2 + 15*u*z^2 + 10*u^2*w*x*y^3)
+--R 
+--R
+--R   (22)
+--R          4 2   3      6 3 2      5   35      6   2 3 33
+--R     (- 6u w x y  - 18u w x  - 15u x)z   - 10u w x y z
+--R   + 
+--R          4 14   3      6 15 2      5 12   24      6 13 2 3 22
+--R     (- 6u w  x y  - 18u w  x  - 15u w  x)z   - 10u w  x y z
+--R   + 
+--R           4 2   21       6 3 2      5   18     4 2   17
+--R         6u w x y   + (18u w x  + 15u x)y   - 6u w x y
+--R       + 
+--R               6 3 2      5   14     4 2 3 5      4 2 22     4 4   3
+--R         (- 18u w x  - 15u x)y   + 6u w x y  + (6u w x   + 6u w x)y
+--R       + 
+--R             6 3 4      5 3  2      6 3 23      5 22      6 5 2      5 2
+--R         (18u w x  + 15u x )y  + 18u w x   + 15u x   + 18u w x  + 15u w x
+--R    *
+--R        4
+--R       z
+--R   + 
+--R         6   2 21      6   2 17      6   4 5       6   23      6 3 2  3  2
+--R     (10u w x y   - 10u w x y   + 10u w x y  + (10u w x   + 10u w x )y )z
+--R                                                    Type: Polynomial(Integer)
+--E 22
+
+--S 23 of 45
+t8f:=factor t8
+--R 
+--R
+--R   (23)
+--R   -
+--R         4   2    2 3      2 3         2      2     3
+--R        u x z ((6w y  + 18u w x + 15u)z  + 10u w x y )
+--R     *
+--R          31    12 20    18    14    2 2    21    2
+--R        (z   + w  z   - y   + y   - x y  - x   - w )
+--R                                          Type: Factored(Polynomial(Integer))
+--E 23
+
+--S 24 of 45
+t8-t8f
+--R 
+--R
+--R   (24)  0
+--R                                          Type: Factored(Polynomial(Integer))
+--E 24
+
+--S 25 of 45
+t9:=(-44*u*w*x*y^4*z^4 - 25*u^2*w^3*y*z^4 + 8*u*w*x^3*z^4 - 32*u^2*w^4*y*4*z^3_
+    + 48*u^2*x^2*y^3*z^3 - 12*y^3*z^2 + 2*u^2*w*x^2*y^2 - 11*u*w^2*x^3*y_
+    - 4*w^2*x)
+--R 
+--R
+--R   (25)
+--R                 4      2 3          3  4       2 2 3       2 4   3      3 2
+--R     (- 44u w x y  - 25u w y + 8u w x )z  + (48u x y  - 128u w y)z  - 12y z
+--R   + 
+--R       2   2 2        2 3      2
+--R     2u w x y  - 11u w x y - 4w x
+--R                                                    Type: Polynomial(Integer)
+--E 25
+
+--S 26 of 45
+t9f:=factor t9
+--R 
+--R
+--R   (26)
+--R   -
+--R                  4      2 3          3  4         2 2 3       2 4   3      3 2
+--R        (44u w x y  + 25u w y - 8u w x )z  + (- 48u x y  + 128u w y)z  + 12y z
+--R      + 
+--R            2   2 2        2 3      2
+--R        - 2u w x y  + 11u w x y + 4w x
+--R                                          Type: Factored(Polynomial(Integer))
+--E 26
+
+--S 27 of 45
+t9-t9f
+--R 
+--R
+--R   (27)  0
+--R                                          Type: Factored(Polynomial(Integer))
+--E 27
+
+--S 28 of 45
+t10:=(31*u^2*x*z + 35*w^2*y^2 + 6*x*y + 40*w*x^2)*_
+     (u^2*w^2*x*y^2*z^2 + 24*u^2*w*x*y^2*z^2 + 12*u^2*x*y^2*z^2 +_
+     24*u^2*x^2*y*z^2 + 43*w*x*y*z^2 + 31*w^2*y*z^2 + 8*u^2*w^2*z^2 +_
+     44*u*w^2*z^2 + 37*u^2*y^2*z + 41*y^2*z + 12*w*x^2*y*z + 21*u^2*w*x*y*z +_
+     23*x*y*z + 47*u^2*w^2*z + 13*u*w^2*x^2*y^2 + 22*x*y^2 + 42*u^2*w^2*y^2 +_
+     29*w^2*y^2 + 27*u*w^2*x^2*y + 37*w^2*x*z + 39*u*w*x*z + 43*u*x^2*y +_
+     24*x*y + 9*u^2*w*x^2 + 22*u^2*w^2)
+--R 
+--R
+--R   (28)
+--R             4 2       4        4  2 2        4 3        2   2       2 2
+--R         (31u w  + 744u w + 372u )x y  + (744u x  + 1333u w x  + 961u w x)y
+--R       + 
+--R              4        3  2
+--R         (248u  + 1364u )w x
+--R    *
+--R        3
+--R       z
+--R   + 
+--R             2 4       2 3       2 2    4
+--R         (35u w  + 840u w  + 420u w )x y
+--R       + 
+--R               2 2       2       2  2        3         4  3
+--R         ((846u w  + 144u w + 72u )x  + 1505w x + 1085w )y
+--R       + 
+--R                 2 3       2 2       2        2  3         2
+--R             (40u w  + 960u w  + 480u w + 144u )x  + 258w x
+--R           + 
+--R                  2        4        2          2          4
+--R             (186w  + 1147u  + 1271u )x + (280u  + 1540u)w
+--R        *
+--R            2
+--R           y
+--R       + 
+--R                 2   4         2       2   3         3       4        2  2
+--R             960u w x  + (1720w  + 372u w)x  + (1240w  + 651u w + 713u )x
+--R           + 
+--R                 2         2
+--R             (48u  + 264u)w x
+--R        *
+--R           y
+--R       + 
+--R               2          3        2 2        3   2        4 2
+--R         ((320u  + 1760u)w  + 1147u w  + 1209u w)x  + 1457u w x
+--R    *
+--R        2
+--R       z
+--R   + 
+--R               2         2 4        3 2        2 3       2       2          3
+--R         (1295u  + 1435)w y  + (420w x  + (735u w  + 805w  + 222u  + 246)x)y
+--R       + 
+--R                  3 2        3          2                2        2
+--R             (403u w  + 72w)x  + ((1606u  + 1640)w + 682u  + 138)x
+--R           + 
+--R                   4          3         4       2  2          2 4
+--R             (1295w  + 1365u w  + (1302u  + 899u )w )x + 1645u w
+--R        *
+--R            2
+--R           y
+--R       + 
+--R                 2 4         3       2  2               3  3
+--R             480w x  + ((837u  + 840u )w  + 920w + 1333u )x
+--R           + 
+--R                  2                2  2       2 2
+--R             (222w  + 234u w + 744u )x  + 282u w x
+--R        *
+--R           y
+--R       + 
+--R               3          2       4   3        2 3 2       4 2
+--R         (1480w  + 1560u w  + 279u w)x  + 1880u w x  + 682u w x
+--R    *
+--R       z
+--R   + 
+--R            4 2       2          2         4  4
+--R     (455u w x  + 770w x + (1470u  + 1015)w )y
+--R   + 
+--R           2 3          4          2        2        2         2   3
+--R     (78u w x  + (945u w  + 1505u w  + 132)x  + (252u  + 1014)w x)y
+--R   + 
+--R               3 4          2                3          2         3        2
+--R         520u w x  + (162u w  + 880w + 258u)x  + ((1995u  + 1160)w  + 144)x
+--R       + 
+--R             2 4
+--R         770u w
+--R    *
+--R        2
+--R       y
+--R   + 
+--R              3            4       2          3       2 2          2 2 4
+--R     ((1080u w  + 1720u w)x  + (54u  + 960)w x  + 132u w x)y + 360u w x
+--R   + 
+--R         2 3 2
+--R     880u w x
+--R                                                    Type: Polynomial(Integer)
+--E 28
+
+--S 29 of 45
+t10f:=factor t10
+--R 
+--R
+--R   (29)
+--R         2         2 2               2
+--R     (31u x z + 35w y  + 6x y + 40w x )
+--R  *
+--R          2 2      2       2    2       2 2              2        2        2  2
+--R       ((u w  + 24u w + 12u )x y  + (24u x  + 43w x + 31w )y + (8u  + 44u)w )z
+--R     + 
+--R            2       2         2       2                 2                2 2
+--R       ((37u  + 41)y  + (12w x  + (21u w + 23)x)y + (37w  + 39u w)x + 47u w )z
+--R     + 
+--R             2 2             2       2  2          2        2             2   2
+--R       (13u w x  + 22x + (42u  + 29)w )y  + ((27u w  + 43u)x  + 24x)y + 9u w x
+--R     + 
+--R          2 2
+--R       22u w
+--R                                          Type: Factored(Polynomial(Integer))
+--E 29
+
+--S 30 of 45
+t10-t10f
+--R 
+--R
+--R   (30)  0
+--R                                          Type: Factored(Polynomial(Integer))
+--E 30
+
+--S 31 of 45
+t11:=x*y*(-13*u^3*w^2*x*y*z^3 + w^3*z^3 + 4*u*x*y^2 + 47*x*y)*_
+     (43*u*x^3*y^3*z^3 + 36*u^2*w^3*x*y*z^3 + 14*w^3*x^3*y^3*z^2 -_
+      29*w^3*x*y^3*z^2 - 20*u^2*w^2*x^2*y^2*z^2 + 36*u^2*w*x*y^3*z -_
+      48*u*w*x^3*y^2*z + 5*u*w*x^2*y^3 + 36*u*w^2*y^3 - 9*u*w*y^3 -_
+      23*u*w*x^3*y^2 + 46*u*x^3*y^2 + 8*x*y^2 + 31*u^2*w^3*y^2 -_
+      9*u^2*y^2 + 45*x^3 - 46*u^2*w*x)
+--R 
+--R
+--R   (31)
+--R            4 2 5 5        3 4 4       5 5 3 3      2 6 2 2  6
+--R     (- 559u w x y  + 43u w x y  - 468u w x y  + 36u w x y )z
+--R   + 
+--R                3 5 5       3 5 3  5        6       5 4  4      6 2  4
+--R         (- 182u w x  + 377u w x )y  + ((14w  + 260u w )x  - 29w x )y
+--R       + 
+--R              2 5 3 3
+--R         - 20u w x y
+--R    *
+--R        5
+--R       z
+--R   + 
+--R            5 3 3 5        4 3 5      2 4 2  4        4 4 3  4
+--R     (- 468u w x y  + (624u w x  + 36u w x )y  - 48u w x y )z
+--R   + 
+--R             2 5 6           5      4 3 4          4 4       4 3  2  5
+--R         172u x y  + (2021u x  - 65u w x  + (- 468u w  + 117u w )x )y
+--R       + 
+--R                  4 3       4 2  5        4       3 3       3 2  3
+--R             (299u w  - 598u w )x  + (5u w  + 144u w  - 104u w )x
+--R           + 
+--R                    5 5       5 2  2         5       4
+--R             (- 403u w  + 117u w )x  + (36u w  - 9u w )x
+--R        *
+--R            4
+--R           y
+--R       + 
+--R                  4        3  4        2 3 3     3 2       2 6     2 3    3
+--R         ((- 23u w  + 46u w )x  + 1692u w x  + 8w x  + (31u w  - 9u w )x)y
+--R       + 
+--R                3 2 5       5 3 3  2       3 4      2 4 2
+--R         (- 585u w x  + 598u w x )y  + (45w x  - 46u w x )y
+--R    *
+--R        3
+--R       z
+--R   + 
+--R               3 5         3 3  6        3 5      3 2 4        3 3  5
+--R         (56u w x  - 116u w x )y  + (658w x  - 80u w x  - 1363w x )y
+--R       + 
+--R               2 2 4 4
+--R         - 940u w x y
+--R    *
+--R        2
+--R       z
+--R   + 
+--R          3   3 6          2   5        2   3  5            5 4
+--R     (144u w x y  + (- 192u w x  + 1692u w x )y  - 2256u w x y )z
+--R   + 
+--R         2   4        2 2      2   2  6
+--R     (20u w x  + (144u w  - 36u w)x )y
+--R   + 
+--R               2        2  5           4        3
+--R         (- 92u w + 184u )x  + 235u w x  + 32u x
+--R       + 
+--R              3 3          2               3  2
+--R         (124u w  + 1692u w  - 423u w - 36u )x
+--R    *
+--R        5
+--R       y
+--R   + 
+--R                          5       3         2 3       2  2  4
+--R     ((- 1081u w + 2162u)x  + 376x  + (1457u w  - 423u )x )y
+--R   + 
+--R            5       3   3  3         5        2   3  2
+--R     (180u x  - 184u w x )y  + (2115x  - 2162u w x )y
+--R                                                    Type: Polynomial(Integer)
+--E 31
+
+--S 32 of 45
+t11f:=factor t11
+--R 
+--R
+--R   (32)
+--R   -
+--R                3 2       3  3         2
+--R        x y((13u w x y - w )z  - 4u x y  - 47x y)
+--R     *
+--R                3 3      2 3     3        3 3      3   3      2 2 2 2  2
+--R          (43u x y  + 36u w x y)z  + ((14w x  - 29w x)y  - 20u w x y )z
+--R        + 
+--R              2     3          3 2            2        2         3
+--R          (36u w x y  - 48u w x y )z + (5u w x  + 36u w  - 9u w)y
+--R        + 
+--R                           3           2 3     2  2      3      2
+--R          ((- 23u w + 46u)x  + 8x + 31u w  - 9u )y  + 45x  - 46u w x
+--R                                          Type: Factored(Polynomial(Integer))
+--E 32
+
+--S 33 of 45
+t11-t11f
+--R 
+--R
+--R   (33)  0
+--R                                          Type: Factored(Polynomial(Integer))
+--E 33
+
+--S 34 of 45
+t12:=(z + y + x - 3)^3
+--R 
+--R
+--R   (34)
+--R      3                 2      2                  2                 3
+--R     z  + (3y + 3x - 9)z  + (3y  + (6x - 18)y + 3x  - 18x + 27)z + y
+--R   + 
+--R              2      2                 3     2
+--R     (3x - 9)y  + (3x  - 18x + 27)y + x  - 9x  + 27x - 27
+--R                                                    Type: Polynomial(Integer)
+--E 34
+
+--S 35 of 45
+t12f:=factor t12
+--R 
+--R
+--R                        3
+--R   (35)  (z + y + x - 3)
+--R                                          Type: Factored(Polynomial(Integer))
+--E 35
+
+--S 36 of 45
+t12-t12f
+--R 
+--R
+--R   (36)  0
+--R                                          Type: Factored(Polynomial(Integer))
+--E 36
+
+--S 37 of 45
+t13:=(3*z^3 + 2*w*z - 9*y^3 - y^2 + 45*x^3)*(w^2*z^3 + 47*x*y - w^2)
+--R 
+--R
+--R   (37)
+--R       2 6     3 4        2 3    2 2               2 3     2  3
+--R     3w z  + 2w z  + (- 9w y  - w y  + 141x y + 45w x  - 3w )z
+--R   + 
+--R                  3           4              2  3    2 2        4       2 3
+--R     (94w x y - 2w )z - 423x y  + (- 47x + 9w )y  + w y  + 2115x y - 45w x
+--R                                                    Type: Polynomial(Integer)
+--E 37
+
+--S 38 of 45
+t13f:=factor t13
+--R 
+--R
+--R            3            3    2      3   2 3            2
+--R   (38)  (3z  + 2w z - 9y  - y  + 45x )(w z  + 47x y - w )
+--R                                          Type: Factored(Polynomial(Integer))
+--E 38
+
+--S 39 of 45
+t13-t13f
+--R 
+--R
+--R   (39)  0
+--R                                          Type: Factored(Polynomial(Integer))
+--E 39
+
+--S 40 of 45
+t14:=(-18*x^4*y^5 + 22*y^5 - 26*x^3*y^4 - 38*x^2*y^4 + 29*x^2*y^3 -_
+      41*x^4*y^2 + 37*x^4)*(33*x^5*y^6 + 11*y^2 + 35*x^3*y - 22*x^4)
+--R 
+--R
+--R   (40)
+--R            9       5  11          8        7  10       7 9        9 8
+--R     (- 594x  + 726x )y   + (- 858x  - 1254x )y   + 957x y  - 1353x y
+--R   + 
+--R            4        7         9       7       3       2  6
+--R     (- 198x  + 242)y  + (1221x  - 630x  + 484x  - 418x )y
+--R   + 
+--R          8       6        5       4       2  5
+--R     (396x  - 910x  - 1330x  - 484x  + 319x )y
+--R   + 
+--R          7       6        5       4  4           7       6  3
+--R     (572x  + 836x  + 1015x  - 451x )y  + (- 1435x  - 638x )y
+--R   + 
+--R          8       4  2        7        8
+--R     (902x  + 407x )y  + 1295x y - 814x
+--R                                                    Type: Polynomial(Integer)
+--E 40
+
+--S 41 of 45
+t14f:=factor t14
+--R 
+--R
+--R   (41)
+--R   -
+--R             4       5       3      2  4      2 3      4 2      4
+--R        ((18x  - 22)y  + (26x  + 38x )y  - 29x y  + 41x y  - 37x )
+--R     *
+--R            5 6      2      3       4
+--R        (33x y  + 11y  + 35x y - 22x )
+--R                                          Type: Factored(Polynomial(Integer))
+--E 41
+
+--S 42 of 45
+t14-t14f
+--R 
+--R
+--R   (42)  0
+--R                                          Type: Factored(Polynomial(Integer))
+--E 42
+
+--S 43 of 45
+t15:=x^6*y^3*z^2*(3*z^3 + 2*w*z - 8*x*y^2 + 14*w^2*y^2 - y^2 + 18*x^3*y)*_
+     (-12*w^2*x*y*z^3 + w^2*z^3 + 3*x*y^2 + 29*x - w^2)
+--R 
+--R
+--R   (43)
+--R           2 7 4     2 6 3  8         3 7 4     3 6 3  6
+--R     (- 36w x y  + 3w x y )z  + (- 24w x y  + 2w x y )z
+--R   + 
+--R             2 8          4      2  7  6
+--R         (96w x  + (- 168w  + 12w )x )y
+--R       + 
+--R                2 10        2      7       4    2  6  5      2 9 4
+--R         (- 216w x   + (- 8w  + 9)x  + (14w  - w )x )y  + 18w x y
+--R       + 
+--R             7     2 6  3
+--R         (87x  - 3w x )y
+--R    *
+--R        5
+--R       z
+--R   + 
+--R          7 5         7     3 6  3  3
+--R     (6w x y  + (58w x  - 2w x )y )z
+--R   + 
+--R               8       2      7  7      10 6
+--R         (- 24x  + (42w  - 3)x )y  + 54x  y
+--R       + 
+--R                8        2       7         4    2  6  5        10      2 9  4
+--R         (- 232x  + (414w  - 29)x  + (- 14w  + w )x )y  + (522x   - 18w x )y
+--R    *
+--R        2
+--R       z
+--R                                                    Type: Polynomial(Integer)
+--E 43
+
+--S 44 of 45
+t15f:=factor t15
+--R 
+--R
+--R   (44)
+--R   -
+--R         6 3 2   3                     2      2      3
+--R        x y z (3z  + 2w z + (- 8x + 14w  - 1)y  + 18x y)
+--R     *
+--R             2       2  3       2          2
+--R        ((12w x y - w )z  - 3x y  - 29x + w )
+--R                                          Type: Factored(Polynomial(Integer))
+--E 44
+
+--S 45 of 45
+t15-t15f
+--R 
+--R
+--R   (45)  0
+--R                                          Type: Factored(Polynomial(Integer))
+--E 45
+)spool 
+)lisp (bye)
+ 
+\end{chunk}
+\eject
+\begin{thebibliography}{99}
+\bibitem[Wang 78]{Wang78} Wang, Paul S.\\
+``An Improved Multivariate Polynomial Factoring Algorithm''\\
+Mathematics of Computation, Vol 32, No 144 Oct 1978, pp1215-1231
+\verb|www.ams.org/journals/mcom/1978-32-144/S0025-5718-1978-0568284-3/|
+\verb|S0025-5718-1978-0568284-3.pdf|
+\end{thebibliography}
+\end{document}
